---
sidebar_position: 1
---

# Fixtures
In den Tests werden Fixtures verwendet, welche die Testdaten darstellen.

Für die Testumgebung existiert eine separate Konfiguration (`src/test/resources/application.properties`), in der eine H2 In-Memory Datenbank verwendet wird. Bei Start der Integration Tests wird eine Verbindung zu der Datenbank aufgebaut, wodurch alle Repositories die Daten daraus ziehen. Repositories/Services sind im Fall von Unit-Tests zu mocken, wenn nötig. 


## `src/test/resources/data.sql`
Die SQL-Datei wird zu Beginn der Tests für die Initialisierung der Datenbank geladen. Soll die Datenbank bei jedem Test neu initialisiert werden, ist die Testklasse wie folgt zu annotieren:

```
@DirtiesContext(classMode = DirtiesContext.ClassMode.BEFORE_EACH_TEST_METHOD)
@AutoConfigureTestDatabase(replace = AutoConfigureTestDatabase.Replace.ANY)
```

## `subato2-data-test`
Neben der Datenbank müssen für einige Tests Aufgaben und Lösungen im Dateisystem vorhanden sein. Diese Fixtures werden im Repository [subato2-fixtures](https://gitlab.cs.hs-rm.de/sls/subato2-fixtures) organisiert und müssen mit den Metadaten in der `data.sql` übereinstimmen.

Das Repository [ist zunächst korrekt zu klonen](index.md). Der Pfad kann in `application.properties` geändert werden.

Das `subato2-data-test` Verzeichnis befindet sich im Verzeichnis des `subato2`-Projekts und repräsentiert das `subato2-data` Verzeichnis, das für die Integration Tests verwendet wird. Der folgende Code löscht vor jedem Test das `subato2-data-test` Verzeichnis und legt das `subato2-data-test` Verzeichnis mit dem Inhalt des ` ~/.subato2/subato2-fixtures`-Verzeichnis an:

```java
@BeforeAll
public static void beforeAll(@Autowired PrepareSubatoDataDir dataDirCleanup, @Autowired SubatoTmpDirCleanup tmpDirCleanup) {
    dataDirCleanup.exec();
    tmpDirCleanup.exec();
}
```
