import { Component, Input } from '@angular/core';
import { SidebarNav } from 'app/core/services/sidebar-nav.service';

@Component({
  selector: 'ngx-one-column-layout',
  styleUrls: ['./one-column.layout.scss'],
  template: `
    <nb-layout [restoreScrollTop]="false">
      <nb-layout-header fixed>
        <ngx-header></ngx-header>
      </nb-layout-header>

      <nb-sidebar *ngIf="sideNav.items.length != 0" responsive [collapsedBreakpoints]="['xs', 'is', 'sm', 'md']" [compactedBreakpoints]="['xs', 'is', 'sm', 'md']" class="menu-sidebar">
        <ngx-side-nav [nav]="sideNav"></ngx-side-nav>
      </nb-sidebar>

      <nb-layout-column [class.padd]="sideNav.items.length == 0">
        <ng-content select="router-outlet"></ng-content>
      </nb-layout-column>

      <nb-layout-footer fixed>
        <ngx-footer></ngx-footer>
      </nb-layout-footer>
    </nb-layout>
  `,
})
export class OneColumnLayoutComponent {
  @Input() sideNav: SidebarNav;
}
