import { User } from "app/core/models/user";
import { CourseUnit } from "app/features/courses/models/course-unit";
import { CourseUnitEvent } from "app/features/courses/models/course-unit-event";
import { Attendance } from "../models/attendance";


export class ParticipantAttendance {
    user: User;
    courseUnit: CourseUnit;
    events: CourseUnitEvent[];
    eventAttendances: Attendance[];
    possibleSum: number;
    presentSum: number;

    constructor(dto: any) {
        this.user = new User(dto.user);
        this.courseUnit = new CourseUnit(dto.courseUnit);
        this.events = dto.events ? dto.events.map(e => new CourseUnitEvent(e)) : [];
        this.eventAttendances = dto.eventAttendances;
        this.possibleSum = dto.possibleSum;
        this.presentSum = dto.presentSum;
    }

    get formatWithUnit(): string {
        return `${this.courseUnit.shortName}: ${this.presentSum} / ${this.possibleSum}`;
    }

    get format(): string {
        return `${this.presentSum} / ${this.possibleSum}`;
    }
}

