import { Component, OnInit } from '@angular/core';
import { SubatoPrincipal } from 'app/core/models/principal/subato-principal';
import { AuthService } from 'app/core/services/auth.service';
import { BaseComponent } from 'app/shared/components/base/base.component';
import { takeUntil } from 'rxjs/operators';
import { environment } from 'environments/environment';

@Component({
  selector: 'ngx-landing',
  templateUrl: './landing.component.html',
  styleUrls: ['./landing.component.scss']
})
export class LandingComponent extends BaseComponent implements OnInit {
  principal: SubatoPrincipal;
  slsUrl = environment.slsUrl;
  docsUrl = environment.docsUrl;

  constructor(private authService: AuthService) { 
    super();
  }

  ngOnInit(): void {
    this.authService.principal$.pipe(
      takeUntil(this.unsubscribe)
    ).subscribe(principal => {
      this.principal = principal;
    })
  }

  login() {
    this.authService.login();
  }
}
