import { Component, Input, OnInit } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';

@Component({
  selector: 'ngx-dialog-confirmation',
  templateUrl: './dialog-confirmation.component.html',
  styleUrls: ['./dialog-confirmation.component.scss']
})
export class DialogConfirmationComponent {
  @Input() title: string;
  text: string;
  actionText: string;

  constructor(protected ref: NbDialogRef<DialogConfirmationComponent>) {
  }

  cancel() {
    this.ref.close();
  }

  confirm() {
    this.ref.close({
      confirmed: true
    });
  }
}
