import { Directive, Input, Renderer2 } from "@angular/core";
import { CodemirrorComponent } from "@ctrl/ngx-codemirror";
import { Subject, interval } from "rxjs";
import { throttle,take } from "rxjs/operators";
import { CodemirrorHelper } from "../helper/codemirror.helper";

@Directive({
    selector: "ngx-codemirror[height]",
})
export class HeightCodemirrorDirective {
    @Input() height: string;

    constructor(
        private component: CodemirrorComponent,
        private renderer: Renderer2) {

        CodemirrorHelper.waitForEditor(component)
            .pipe(take(1))
            .subscribe(() => {
                component.codeMirror.setSize(null, this.height);
            })
    }
}