import { Pipe, PipeTransform } from "@angular/core";
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';

@Pipe({
  name: 'trust_style'
})
export class TrustStylePipe implements PipeTransform {

  constructor(private _sanitizer:DomSanitizer) {
  }

  transform(v:string|null):SafeHtml {
    if(v == null) {
        return null;
    }
    return this._sanitizer.bypassSecurityTrustHtml(v);
  }
}