package de.hsrm.sls.subato.aor.term;

import de.hsrm.sls.subato.aor.term.imp.unit.CourseUnitImportService;
import de.hsrm.sls.subato.aor.term.imp.TermImportService;
import de.hsrm.sls.subato.aor.term.persistence.TermDataImportService;
import de.hsrm.sls.subato.courses.course.CourseRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class TermDataImportManager {
    @Autowired
    CourseRepository courseRepository;

    @Autowired
    JsonTermDataReader jsonTermDataReader;

    @Autowired
    TermImportService termImportService;

    @Autowired
    CourseUnitImportService courseUnitImportService;

    @Autowired
    private TermDataImportService termDataImportService;

    @Transactional
    public void importFromJson(String json) {
        var termData = jsonTermDataReader.read(json);
        var term = termImportService.importTerm(termData.getTerm());
        termDataImportService.storeImport(term, termData);

        var courses = courseRepository.findByTermId(term.getId());
        for(var course : courses) {
            courseUnitImportService.importUnits(course, termData);
        }
    }
}
