package de.hsrm.sls.subato.auth.masking;

import com.fasterxml.jackson.databind.util.StdConverter;
import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.principal.PrincipalService;
import de.hsrm.sls.subato.user.UserDetailDto;
import org.springframework.beans.factory.annotation.Autowired;

public class UserDetailMasker extends StdConverter<UserDetailDto, UserDetailDto> {
    @Autowired
    PrincipalService principalService;

    @Override
    public UserDetailDto convert(UserDetailDto value) {
        var principal = principalService.getPrincipal();
        if(principal == null) {
            value.setMail(null);
        }

        if(principal == null || !(value.getId() == principal.getId() || principal.hasAnyRole(Role.Staff, Role.SuperAdmin) || principal.hasAnyGroup())) {
            value.setLoginName(null);
        }

        return value;
    }
}
