package de.hsrm.sls.subato.auth.policy;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.PermissionEvaluator;
import org.springframework.security.core.Authentication;
import org.springframework.stereotype.Component;

import java.io.Serializable;

@Component
public class PolicyPermissionEvaluator implements PermissionEvaluator {
    private static Logger logger = LoggerFactory.getLogger(PolicyPermissionEvaluator.class);

    @Autowired
    PolicyEvaluator policy;

    @Override
    public boolean hasPermission(Authentication authentication, Object targetDomainObject, Object permission) {
        var request = CheckPolicyRequest.fromPrincipal(targetDomainObject, permission);
        return policy.check(request);
    }

    @Override
    public boolean hasPermission(Authentication authentication, Serializable targetId, String targetType, Object permission) {
        return false;
    }
}
