package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.apache.commons.lang3.tuple.Pair;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to view the progress of a certain user within a course
 */
@Component
public class CourseProgressViewPolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(CoursesAction.COURSE_PROGRESS_VIEW) || request.unauthenticated()) {
            return false;
        }

        var info = (Pair<Long, Long>) request.getObj();
        var courseId = info.getLeft();
        var userId = info.getRight();
        return userId.equals(request.getSubject().getId()) || request.getSubject().hasAnyGroup(courseId);
    }
}
