package de.hsrm.sls.subato.auth.policy.exercises;

import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.membership.StaffGroup;
import de.hsrm.sls.subato.exercises.submission.Submission;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to update a submission
 */
@Component
public class SubmissionUpdatePolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(ExercisesAction.SUBMISSION_UPDATE) || request.unauthenticated()) {
            return false;
        }

        var submission = (Submission) request.getObj();
        var course = submission.getExercise().getCourse();
        return request.getSubject().hasGroup(course, StaffGroup.ADMIN) || request.getSubject().hasGroup(course, StaffGroup.LECTURER);
    }
}
