package de.hsrm.sls.subato.auth.policy.solutions;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to submit a solution to a task (without exercise)
 */
@Component
public class SolutionSubmitTaskPolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(SolutionsAction.SOLUTION_SUBMIT_TASK) || request.unauthenticated()) {
            return false;
        }

        return request.getSubject().hasRole(Role.Staff);
    }
}
