package de.hsrm.sls.subato.auth.policy.tasks;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to view tasks
 */
@Component
public class TaskViewPolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(TasksAction.TASK_VIEW) || request.unauthenticated()) {
            return false;
        }

        return request.getSubject().hasRole(Role.Staff);
    }
}
