package de.hsrm.sls.subato.courses.event;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CourseUnitEventService {
    @Autowired
    private CourseUnitEventRepository courseUnitEventRepository;

    public CourseUnitEvent findById(long id) {
        return courseUnitEventRepository.findById(id).orElseThrow(() -> new CourseUnitEventNotFoundException(id));
    }

    public CourseUnitEvent updateCancellation(CourseUnitEvent event, UpdateEventCancellationDto dto) {
        event.setHoliday(dto.isCanceled());
        return courseUnitEventRepository.save(event);
    }
}
