package de.hsrm.sls.subato.seed;

import de.hsrm.sls.subato.aor.core.CoreDataImportManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.File;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;

@Service
@Transactional
public class CoreDataSeedService {
    private static Logger logger = LoggerFactory.getLogger(CoreDataSeedService.class);

    @Autowired
    private CoreDataImportManager coreDataImportManager;

    public void seedCoreData(File seedDir) {
        try {
            logger.debug("Seeding core data...");

            var coreDataPath = seedDir.toPath().resolve("core-data.json");
            var json = Files.readString(coreDataPath, StandardCharsets.UTF_8);
            coreDataImportManager.importFromJson(json);
        } catch (IOException e) {
            throw new SeedingException(e);
        }
    }
}
