package de.hsrm.sls.subato.shared.helper;

import java.io.File;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.util.List;

public class FileHelper {
    public static boolean isSourceFile(String contentType) {
        var contentTypes = List.of(
                "application/json",
                "application/xml",
                "application/javascript"
        );

        return contentType != null ? contentType.startsWith("text/") || contentTypes.contains(contentType) : false;
    }

    public static String readString(File file) {
        try {
            return Files.readString(file.toPath(), StandardCharsets.UTF_8);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    public static byte[] toBytes(File file) {
        try {
            return Files.readAllBytes(file.toPath());
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
