package de.hsrm.sls.subato.tasks.stef.parser.meta;

import de.hsrm.sls.subato.tasks.stef.spec.Meta;
import de.hsrm.sls.subato.tasks.stef.parser.InvalidSpecException;
import de.hsrm.sls.subato.tasks.stef.parser.meta.xml.TaskXml;
import org.springframework.stereotype.Service;

@Service
public class AttemptsExtractor {
    public void extract(TaskXml doc, Meta meta) {
        if(doc.getAttempts() != null) {
            if(doc.getAttempts().intValue() <= 0) {
                throw new InvalidSpecException("Der Wert für %s ist ungültig, muss > 0 sein".formatted(TaskXml.ATTEMPTS));
            }
        }

        meta.setAttempts(doc.getAttempts());
    }
}
