package de.hsrm.sls.subato.tasks.stef.parser.meta.xml;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "task")
public class TaskXml {
    public static final String ID = "id";
    private static final String SUBATO_ID = "subatoId";
    private static final String NAME = "name";
    public static final String ATTEMPTS = "attempts";
    public static final String DESCRIPTION = "description";
    public static final String EVALUATOR = "evaluator";
    public static final String LANG = "lang";
    public static final String SUBMISSION_MODES = "submissionModes";
    public static final String FILES = "files";
    public static final String MIME_MAPPINGS = "mimeMappings";

    private Long subatoId;
    private Integer attempts;
    private String id;
    private String lang;
    private String name;
    private String description;
    private String evaluator;
    private FilesXml files;
    private MimeMappingsXml mimeMappings;
    private SubmissionModesXml submissionModes;

    public String getId() {
        return id;
    }

    @XmlAttribute(name = ID)
    public void setId(String id) {
        this.id = id;
    }

    public Long getSubatoId() {
        return subatoId;
    }

    @XmlAttribute(name = SUBATO_ID)
    public void setSubatoId(Long subatoId) {
        this.subatoId = subatoId;
    }

    public Integer getAttempts() {
        return attempts;
    }

    @XmlAttribute(name = ATTEMPTS)
    public void setAttempts(Integer attempts) {
        this.attempts = attempts;
    }

    public String getLang() {
        return lang;
    }

    @XmlAttribute(name = LANG)
    public void setLang(String lang) {
        this.lang = lang;
    }

    public String getName() {
        return name;
    }

    @XmlElement(name = NAME)
    public void setName(String name) {
        this.name = name;
    }

    public FilesXml getFiles() {
        return files;
    }

    @XmlElement(name = FILES)
    public void setFiles(FilesXml files) {
        this.files = files;
    }

    public String getDescription() {
        return description;
    }

    @XmlElement(name = DESCRIPTION)
    public void setDescription(String description) {
        this.description = description;
    }

    public String getEvaluator() {
        return evaluator;
    }

    @XmlElement(name = EVALUATOR)
    public void setEvaluator(String evaluator) {
        this.evaluator = evaluator;
    }

    public SubmissionModesXml getSubmissionModes() {
        return submissionModes;
    }

    @XmlElement(name = SUBMISSION_MODES)
    public void setSubmissionModes(SubmissionModesXml submissionModes) {
        this.submissionModes = submissionModes;
    }

    public MimeMappingsXml getMimeMappings() {
        return mimeMappings;
    }

    @XmlElement(name = MIME_MAPPINGS)
    public void setMimeMappings(MimeMappingsXml mimeMappings) {
        this.mimeMappings = mimeMappings;
    }
}
